Author Topic: xine 1.2.4  (Read 1043 times)

posde

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 2935
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
xine 1.2.4
« on: May 03, 2014, 07:10:22 pm »
phenigma and tschak did a lot of things to get xine v1.2.4 into our system. please upgrade your 1204 system to reap the benefits. and report any findings.

pigdog

  • wants to work for LinuxMCE
  • **
  • Posts: 992
    • View Profile
Re: xine 1.2.4
« Reply #1 on: May 04, 2014, 03:16:15 am »
Hi posde,

Is that an update or snapshot scratch install?

posde

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 2935
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
Re: xine 1.2.4
« Reply #2 on: May 04, 2014, 11:40:38 am »
update

pigdog

  • wants to work for LinuxMCE
  • **
  • Posts: 992
    • View Profile
Re: xine 1.2.4
« Reply #3 on: May 04, 2014, 12:25:52 pm »
Hi,

Thanks. Will test Monday.

Cheers

pigdog

  • wants to work for LinuxMCE
  • **
  • Posts: 992
    • View Profile
Re: xine 1.2.4
« Reply #4 on: May 05, 2014, 06:24:53 pm »
Hi,

I updated Core and ION MD.

Prior to the upgrade I had video but no audio on both systems.

After the upgrade - same same.

Playback was much smoother, and, I did notice that during one test scene, where I had an interpolation issue, it was gone.

Mplayer CPU%'s were high.

Cheers.

posde

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 2935
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
Re: xine 1.2.4
« Reply #5 on: May 05, 2014, 06:33:35 pm »
mplayer is not related to xine in any way shape or form. I assume you did modify your Xine player settings to use vaapi instead of xv, didn't you

pigdog

  • wants to work for LinuxMCE
  • **
  • Posts: 992
    • View Profile
Re: xine 1.2.4
« Reply #6 on: May 05, 2014, 11:01:13 pm »
Hi posde,

Earlier when I played DVD's "top" showed that system used xine as the player.

When I play BD's "top" showed that the system used mplayer as the player.

In webadmin I changed all Media Directors>Hardware acceleration from "vdpau" to vaapi. 

My Deinterlace Quality is still set to "vdpau" there is no vaapi option (if there is a need to be?).  Should this be changed to something else?

My Video Card is set to "GeForce or TNT2".

So, after changing Hardware acceleration to vaapi I I did my regular test DVD and Xine_Player is running @ 30 to 35% CPU on the Core.

I then tested my .m2ts unencryted BD file on the Core.

Video was smooth, no interpolation during test scene, but monitor will have to be adjusted because black levels are way to dark (monitor/tv issue).  @ about 2 minutes? I lost audio, which came back, but only after video freezing, then video motion, no audio, repeat, repeat, on Core.

Core mplayer is running @ 85-90 % CPU.

When I "F1" to "OFF" i am just black squares on the menu.  However, the buttons still work when selected.  There is some weird stuff there but I think it has to do with the nouveau drivers.  The Core has flashing screens when in a subcategory (e.g. Power Off).

On the MD...

I ran the test DVD and for some reason I couldn't login in to a terminal (kept rejecting password). 

I ssh'd on the Core and xine was 95+ on "top".

I tried a BD and had no audio, very jerky video, I didn't even attempt CPU%.

I just stopped the MD.

Now my Core was still messed up with the menu buttons showing frozen snippits of photos (instead of being black) while the background cycled.

If there are any other test suggestions please provide.

Cheers.

posde

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 2935
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
Re: xine 1.2.4
« Reply #7 on: May 05, 2014, 11:54:35 pm »
mplayer has been used in the past to play BD content. This is determined based on the extension of the file. Change it to something lika .ts or .avi it xine would be used. For what it is worth, my video is set to standard graphics card. I do not have anything set in deinterlace.

pigdog

  • wants to work for LinuxMCE
  • **
  • Posts: 992
    • View Profile
Re: xine 1.2.4
« Reply #8 on: May 06, 2014, 12:37:51 am »
Hi posde,

Changed video card to standard on Core, with "Nun" for Deinterface Quality (haha made a funny with Nun).

Got dahdi message.

Reboot.

Played un-encryted BD .m2ts file (not mkv or other compressed variants) got "top" results with mplayer @ 85% (approx).

Had audio, video with no interpolation during test scene, very black (monitor/TV adjust issue), same audio cut out and freeze @ same places.

Possible decrpytion issue with original content?  Will investigate.

Otherwise, no difference with video card and deinterlace on BD disk.

Tried test DVD and xine was 35 to 40% with blacker scenes.

I don't know if changing extensions will work but will try tomorrow to "trick" original .m2ts extension.

Cheers.

posde

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 2935
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
Re: xine 1.2.4
« Reply #9 on: May 06, 2014, 11:53:41 am »
What video card do you have?

pigdog

  • wants to work for LinuxMCE
  • **
  • Posts: 992
    • View Profile
Re: xine 1.2.4
« Reply #10 on: May 07, 2014, 02:21:22 pm »
Hi,

My Core has an onboard Nvidia GeForce 8200 but I'm using a Nvidia GeForce 8500 GT PCI Express as the main display.

pigdog

  • wants to work for LinuxMCE
  • **
  • Posts: 992
    • View Profile
Re: xine 1.2.4
« Reply #11 on: May 07, 2014, 03:26:16 pm »
Hi,

I mucked up my system and had to reload from scratch and I now have audio issues that need to worked out (no audio).

Cheers.

posde

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 2935
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
Re: xine 1.2.4
« Reply #12 on: May 07, 2014, 03:59:31 pm »
pigdog,

an nvidia graphics card will not work with vaapi acceleration. Use vdpau.

pigdog

  • wants to work for LinuxMCE
  • **
  • Posts: 992
    • View Profile
Re: xine 1.2.4
« Reply #13 on: May 07, 2014, 10:34:07 pm »
OK,

Intel.

phenigma

  • wants to work for LinuxMCE
  • **
  • Posts: 944
    • View Profile
Re: xine 1.2.4
« Reply #14 on: May 20, 2014, 09:45:12 pm »
pigdog,

an nvidia graphics card will not work with vaapi acceleration. Use vdpau.

Actually vaapi has a vdpau backend.  vaapi works on the nvidia ion cards I have.  That being said, the pure vdpau implementation appears to be better, smoother, than through vaapi.

J.